#include "def21160.h"

.GLOBAL	start;
.GLOBAL	irq0_isr;

.SECTION/PM	seg_pmco;
start:				

/************************* Set IRQ0 to edge sensitive ****************************/	
BIT SET MODE2 0x1;			

/* Enable nested interrupts */	
BIT SET MODE1 0x800;				

/**************************** Enable IRQ0 interrupt ******************************/	
BIT SET IMASK 0x100;		

/************************* Set global interrupt enable ***************************/
BIT SET MODE1 0x1000; 			

/********************************* Endless loop **********************************/
do_nothing:			
NOP;				
NOP;				
JUMP do_nothing;	

start.END:			

/**************************** Interrupt Service Routine **************************/
irq0_isr:	
// Perform any register saves to stack first

					
// Perform required operation here	

// Restore any other registers that were saved to the stack here

// Return from interrupt
RTI;
irq0_isr.END:			
